Subject: [os2genau_digest] No. 614
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 11 May 2003 00:04:04 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 10 May 2003
 Number  614
**************************************************

Subjects for today
 
1  Re:  Moving DB2 databases. : Daryl Pilkington" <u3232 at home.dialix dot com>
2  Re:  Moving DB2 databases. : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sat, 10 May 2003 22:15:06 +1000 (EST)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  Re:  Moving DB2 databases.

Hi Ed,
Just want to clarify what you did:
1)
Tidy-up of the existing DB was done by exporting only the required
data.
2)
Import was done on a temporary PC.
3)
Migration to the final PC was done merely by zipping up each of the
partitions.

Questions regarding the temporary PC:
1)
Did you have transactional logging enabled?
Were the log files on a separate partition?
2)
Did you zip up the OS partition & unzip it to the final PC?

On Fri, 09 May 2003 14:40:18 +1000, Ed Durrant wrote:

>You'll all remember that a while ago we had a thread discussing how to
>transfer an OS/2 DB2 database from one server to another. There were
>differing opinions as to whether export and import or backup were the
>best approach.
>
>Well we exported and imported the data - it took some time and had to be
>done in small amounts as the DB2 transaction log kept filling up.
>
>Well I have now completed the second phase of the operation, moving back
>from the temporary server to the original, now repaired and upgraded.
>
>What I did was zip up the individual partitions on the temporary server
>and burnt the zip files to CDs (one having to be split using ZipSplit).
>I then partitioned and formatted the destination system and simply
>unzipped the data back into its partitions. Note the partitions on the
>final server are a different size to those on the temporary server and I
>went from RAID-0 on the temporary server to RAID-5 on the final machine.
>
>I expected we would have to re-import the data, but no - everything is
>there and everything works !
>
>  R O C K   O N    O S / 2  - There's NO WAY this would have worked
>under Windoze !
>
>
>Cheers/2
>
>Ed.
>

> 

>

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 10 May 2003 22:27:53 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Moving DB2 databases.

Cant answer Q2 but apart from that it sounds about right.

Ed.

Daryl Pilkington wrote:

> Hi Ed,
> Just want to clarify what you did:
> 1)
> Tidy-up of the existing DB was done by exporting only the required
> data.
> 2)
> Import was done on a temporary PC.
> 3)
> Migration to the final PC was done merely by zipping up each of the
> partitions.
>
> Questions regarding the temporary PC:
> 1)
> Did you have transactional logging enabled?
> Were the log files on a separate partition?
> 2)
> Did you zip up the OS partition & unzip it to the final PC?
>
> On Fri, 09 May 2003 14:40:18 +1000, Ed Durrant wrote:
>
> >You'll all remember that a while ago we had a thread discussing how to
> >transfer an OS/2 DB2 database from one server to another. There were
> >differing opinions as to whether export and import or backup were the
> >best approach.
> >
> >Well we exported and imported the data - it took some time and had to be
> >done in small amounts as the DB2 transaction log kept filling up.
> >
> >Well I have now completed the second phase of the operation, moving back
> >from the temporary server to the original, now repaired and upgraded.
> >
> >What I did was zip up the individual partitions on the temporary server
> >and burnt the zip files to CDs (one having to be split using ZipSplit).
> >I then partitioned and formatted the destination system and simply
> >unzipped the data back into its partitions. Note the partitions on the
> >final server are a different size to those on the temporary server and I
> >went from RAID-0 on the temporary server to RAID-5 on the final machine.
> >
> >I expected we would have to re-import the data, but no - everything is
> >there and everything works !
> >
> >  R O C K   O N    O S / 2  - There's NO WAY this would have worked
> >under Windoze !
> >
> >
> >Cheers/2
> >
> >Ed.
> >

> > 

> >
>
> Regards,
>
> Daryl  Pilkington
>
> //// The PC-Therapist, Business Computing Integration
> O<O  AUSTRALIA
> \_/
> <O>  OS/2 Warp, Redhat Linux, DB2
>      IBM Certified Systems Expert
>
>         email: darylp at pc-therapist dot com dot au
>           Mob: 0425-251-300
>

>  

----------------------------------------------------------------------------------